<!-- <title>
  routingcomps
</title> -->
<div>
  <h1>Routing and navigation</h1>
</div>
<nav>
  <a routerLink="/first" routerLinkActive="active">First Component</a>
  <a routerLink="/second" routerLinkActive="active">Second Component</a>
  <a routerLink="/lazymod/comp1" routerLinkActive="active">Lazy loading component1</a>
  <a routerLink="/lazymod/comp2" routerLinkActive="active">Lazy loading component2</a>
  <a routerLink="/admin" routerLinkActive="active">admin Component</a> 
  <a routerLink="/admin/adminchild1" routerLinkActive="active">Admin child1</a>
  <a routerLink="/admin/adminchild2" routerLinkActive="active">Admin child2</a>
  <a routerLink="/third">Unavailable Component</a>
</nav>

<router-outlet></router-outlet>